<?php
	// appel fichier internationalisation
	$registry = Yab_Loader::getInstance() -> getRegistry();
$i18n = $registry -> get('i18n');
$filter_no_html = new Yab_Filter_NoHtml();

//Verification champs requis
function isRequired($cle,$elt){
try{
$rows= $cle->getElement($elt)->get('validators');
for($i=0; $i < sizeof($rows); $i++){
if(isset($rows[$i])){
if($rows[$i] == "NotEmpty"){
return true;
}
}
}
throw new Exception("");
return false;
}catch(Exception $e){
echo '';
}
}
?>
<!-- Inclusion des scripts nécessaires a JQXTree -->
<link rel="stylesheet"
      href="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/styles/jqx.base.css"
      type="text/css"/>

<link rel="stylesheet"
      href="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/styles/jqx.darkblue.css"
      type="text/css"/>

<!-- jqxExpander -->
<script type="text/javascript" src="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/jqxcore.js"></script>
<script type="text/javascript" src="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/jqxexpander.js"></script>
<script type="text/javascript"
        src="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/jqxbuttons.js"></script>
<script type="text/javascript"
        src="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/jqxscrollbar.js"></script>
<script type="text/javascript"
        src="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/jqxpanel.js"></script>
<script type="text/javascript"
        src="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/jqxtree.js"></script>
<script type="text/javascript"
        src="<?php echo $request->getBaseUrl() ; ?>/js/jqwidgets/jqxcheckbox.js"></script>
<script type="text/javascript">
    $(document).ready(
            function () {
                // Create jqxTree
                var tree = $('#jqxTree');
                var source = null;
                $.ajax({
                    async: false,
                    url: "<?php echo $this->getRequest('conteneur','ajaxGetTree' ) ; ?>",
                    success: function (data, status, xhr) {
                        source = jQuery.parseJSON(data);
                    }
                });

                tree.jqxTree({theme: 'darkblue', source: source, height: 350, width: '80%'});

                // Create jqxExpander

                var expander = $("#jqxExpander").jqxExpander({theme: 'darkblue', width: '100%'});
                expander.jqxExpander('expanded', true);

                //css titre du volet
                /*expander.bind('expanded', function(event) {
                 $('#div_titre').css('background', '#1570A6') ;
                 });*/

                expander.bind('collapsed', function (event) {
                    $('#div_titre').css('background', '#4DA9FF');
                });

                // On expand
                tree.on('expand', function (event) {
                    var label = tree.jqxTree('getItem', event.args.element).label;
                    var $element = $(event.args.element);
                    var loader = false;
                    var loaderItem = null;
                    var children = $element.find('ul:first').children();
                    $.each(children, function () {
                        var item = tree.jqxTree('getItem', this);
                        if (item && item.label == 'Loading...') {
                            loaderItem = item;
                            loader = true;
                            return false
                        }
                        ;
                    });
                    if (loader) {
                        $.ajax({
                            url: loaderItem.value,
                            success: function (data, status, xhr) {
                                var items = jQuery.parseJSON(data);
                                tree.jqxTree('addTo', items, $element[0]);
                                tree.jqxTree('removeItem', loaderItem.element);
                            }
                        });
                    }
                });

                // Pré-sélection et developpement de la branche concernée

                var emplacement = $('#emplacement_id').val();
                if (emplacement != "") {
                    tree.jqxTree('selectItem', $('#emp' + emplacement)[0]);
                    tree.jqxTree('expandItem', $('#emp' + emplacement)[0]);
                }

                // Sélection

                $('#jqxTree').on("select", function () {
                    var selectedItem = $('#jqxTree').jqxTree('selectedItem');

                    if (selectedItem != null && selectedItem.id != "0") {
                        if (tree.jqxTree('selectedItem').id != $('#emplacement_id').val()) {
                            if ($('#emplacement_id').val() == "") {
                                if (selectedItem.id.substring(0, 3) != "con") {
                                    $('#champ_emplacement').val(selectedItem.label);
                                    $('#emplacement_id').val(selectedItem.id.substring(3));
                                } else
                                    alert("Vous ne pouvez pas ranger un conteneur dans un conteneur !");
                            } else {
                                alert('Veuillez effacer la sélection précédente pour pouvoir sélectionner cet emplacement.');
                                tree.jqxTree('selectItem', $('#' + $('#emplacement_id').val())[0]);
                            }
                        }
                    }
                });

                // Suppression

                $('#btn_effacer').click(function () {
                    $('#champ_emplacement').val('');
                    $('#emplacement_id').val('');
                });

                //Désactivation

                var items = tree.jqxTree('getItems');
                for (var i = 0; i < items.length; i++)
                    if (items[i].id.substring(0, 3) == "con")
                        $('#jqxTree').jqxTree('disableItem', items[i].element);
                $('#btn_effacer').click();
            });
</script>

<div class="row">
    <div class="col-md-10 col-sm-12 col-xs-12 col-md-offset-1">
        <form method="post" name="form_sitefouille" action="" role="form" class="form-horizontal">
            <div class="row">

                <div><?php echo $form_cont->getElement('entiteadmin_id')->getHtml();?></div>

                <div class="form-group field text" id="F<?php echo $form_cont->getElement('nom')->get('id'); ?>">
                    <label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label"
                           for="<?php echo $form_cont->getElement('nom')->get('id'); ?>">
                        <?php echo $form_cont->getElement('nom')->get('label').' '.((isRequired($form_cont,"nom")) ? '*'
                        : '');?>
                    </label>
                    <div><?php echo $form_cont->getElement('nom')->getHtml();?></div>
                </div>

                <div class="form-group field text"
                     id="F<?php echo $form_cont->getElement('description')->get('id'); ?>">
                    <label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label"
                           for="<?php echo $form_cont->getElement('description')->get('id'); ?>">
                        <?php echo $form_cont->getElement('description')->get('label').'
                        '.((isRequired($form_cont,"description")) ? '*' : '');?>
                    </label>
                    <div><?php echo $form_cont->getElement('description')->getHtml();?></div>
                </div>

                <div class="form-group field text" id="F<?php echo $form_cont->getElement('type_id')->get('id'); ?>">
                    <label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label"
                           for="<?php echo $form_cont->getElement('type_id')->get('id'); ?>">
                        <?php echo $form_cont->getElement('type_id')->get('label').'
                        '.((isRequired($form_cont,"type_id")) ? '*' : '');?>
                    </label>
                    <div><?php echo $form_cont->getElement('type_id')->getHtml();?></div>
                </div>
            </div>

            <div class="row" style="margin-bottom: 20px; margin-top: 20px">
                <div id='jqxWidget' style="text-align: center">
                    <div id='jqxExpander' style="">

                        <div id="div_titre" style="width:100%; height:100%; pdding:15px;">
                            Emplacement <span class="obligatoire">*</span>
                        </div>

                        <div id="div_contenu">
                            <div id='jqxTree' style="width : 100%"></div>
                            <div style="padding:20px; text-align:left;">

                                <?php echo $form_cont->getElement('emplacement_id')->getHtml(); ?>
                                <div class="col-md-5" style="margin-bottom: 20px;">
                                    <label for="champ_emplacement">Emplacement choisi : </label>
                                    <input type="text" style="width:200px;" readonly="readonly" id="champ_emplacement"
                                           value="<?php echo $emplacement; ?>" placeholder=""/>
                                    <input type="button" id="btn_effacer" class="btn-supprimer" style="display: inline"
                                           value=""/>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <input class="btn btn-primary" type="submit"
                       value="<?php echo $filter_no_html->filter( $i18n -> say('save_form') ); ?>"/>
                <a href="<?php echo $this->getRequest('Conteneur', 'index'); ?>"
                   class="btn btn-default"><?php echo $filter_no_html->filter( $i18n -> say('back_form') ); ?></a>
            </div>
        </form>
    </div>
</div>